Ruby - Bug #16132

Ruby 2.7 IRB crashes after pressing Insert and Delete
08/31/2019 09:01 PM - SouravGoswami (Sourav Goswami)

Status: Closed
Priority: Normal
Target version:

ruby -v: ruby 2.7.0preview1 (2019-05-31 trunk Backport: 2.5: UNKNOWN, 2.6: UNKNOWN
ed43ff) [x86_64-linux]

Description

Hello | am using the rvm 2.7 preview version of Ruby.
[l also tried the git version yesterday, which has the same problem mentioned below].

| am unable to use keys like End, Home, Insert etc.

The IRB crashes (with TypeError) when you press Any of the Insert, Home, Page Up, Delete, End, Page Down key and then without

typing anything press the delete key. | am using Arch Linux.

History

#1 - 08/31/2019 09:08 PM - SouravGoswami (Sourav Goswami)

IRB also crashes when you write: a = 5 or any line of code, and press the Delete key.
The error goes like this:

irb(main):001:0> puts ?? Traceback (most recent call last): 35: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/bin/irb:23:in '
34: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/bin/irb:23:in load' 33: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/gems/2.7.0/gems/irb-1.0.0/exe/irb:11:in <top (required)>"'

32: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:388:in start' 31: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:430:in run'

30: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:430:in catch' 29: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:431:in block in run’

28: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:492:in eval_input' 27: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/ruby-lex.rb:83:in each_top_level_statement'

26: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/ruby-lex.rb:83:in catch' 25: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/ruby-lex.rb:84:in block in each_top_level_statement'

24: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/ruby-lex.rb:84:in loop' 23: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/ruby-lex.rb:87:in block (2 levels) in each_top_level_statement'
22: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/ruby-lex.rb:115:in lex' 21: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:475:in block in eval_input'

20: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:650:in signal_status' 19: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb.rb:476:in block (2 levels) in eval_input'

18: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/irb/input-method.rb:249:in gets' 17: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:276:in readmultiline’

16: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:352:in inner_readline' 15: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:352:in loop'

14: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:353:in block in inner_readline' 13: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/key_stroke.rb:28:in read_io'

12: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/key_stroke.rb:28:in loop' 11: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/key_stroke.rb:34:in block in read_io'

10: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:354:in block (2 levels) in inner_readline' 9: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:354:in each’

8: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline.rb:355:in block (3 levels) in inner_readline' 7: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:748:in input_key'

6: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:668:in process_key' 5: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:638:in run_for_operators'

4: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:669:in block in process_key' 3: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:669:in call'

2: from /home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:941:in key_delete' 1: from
/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:1641:in ed_delete_next_char'

/home/sourav/.rvm/rubies/ruby-2.7.0-preview1/lib/ruby/2.7.0/reline/line_editor.rb:1641:in -": nil can't be coerced into Integer (TypeError)

#2 - 09/01/2019 06:48 AM - aycabta (aycabta .)

I released IRB 1.1.0.pre.3 and Reline 0.0.2 several hours ago. Please try below at Ruby 2.6.4 or latest version of Git:

gem install irb --pre
gem install reline

#3 - 10/02/2019 10:26 PM - jeremyevans0 (Jeremy Evans)
- Status changed from Open to Closed
